YTAPI.devDocs

Get channel latest videos

getChannelLatest(id, query?, options?): ChannelLatestResponse

GET
https://api.ytapi.dev/v1/channels/{id}/latest
1 Credit

Fetches the most recently published video as well as the latest uploaded videos for the given channel without needing to paginate through uploads.

API Key

All requests require a valid API key from the developer dashboard.

Headers: Authorization: Bearer YOUR_API_KEYorX-API-Key: YOUR_API_KEY

See Authentication for headers and rate limits.

Path Parameters

ParameterTypeRequiredDescription
idpath
stringYes

Channel handle (for example @MrBeast) or canonical channel ID (UC...).

Response (HTTP 200)

{
  "channel_id": string,          // Canonical 24-character channel ID (UC...)
  "channel_title": string,       // Channel display name
  "latest_video": {              // The single most recent or featured video published
    "video_id": string,          // 11-character video ID
    "title": string,             // Video title
    "length_text": string,       // Duration display text (e.g. "25:41")
    "view_count_text": string,   // Formatted view count (e.g. "600M views")
    "published_text": string     // Relative publish time (e.g. "2 days ago")
  },
  "recent_videos": [             // Array of recent video uploads from the channel feed
    {
      "video_id": string,        // 11-character video ID
      "title": string,           // Video title
      "length_text": string,     // Duration display text
      "view_count_text": string, // Formatted view count
      "published_text": string   // Relative publish time
    }
  ]
}